Commission Overrides
Update customer commission overrides
Update customer commission overrides
curl --request PUT \
--url https://{tenant}.api.velocity.medshift.com/integrations/zapier/v1/customers/{customer_pk}/commission_overrides/ \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
[
{
"commission_program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rules": [
{
"commission_rate": "<string>",
"level": 123,
"rep_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
]
'import requests
url = "https://{tenant}.api.velocity.medshift.com/integrations/zapier/v1/customers/{customer_pk}/commission_overrides/"
payload = [
{
"commission_program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rules": [
{
"commission_rate": "<string>",
"level": 123,
"rep_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
]
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
commission_program_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
rules: [
{
commission_rate: '<string>',
level: 123,
rep_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
}
])
};
fetch('https://{tenant}.api.velocity.medshift.com/integrations/zapier/v1/customers/{customer_pk}/commission_overrides/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"commission_program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rules": [
{
"commission_rate": "<string>",
"level": 123,
"rep": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"identifier": "<string>",
"name": "<string>"
}
}
]
}
]Authorizations
Path Parameters
Body
application/json
⌘I
Update customer commission overrides

